namespace CMSMicroservice.Application.UserWalletCQ.Queries.GetAllUserWalletByFilter;
public class GetAllUserWalletByFilterQueryValidator : AbstractValidator<GetAllUserWalletByFilterQuery>
{
    public GetAllUserWalletByFilterQueryValidator()
    {
    }
    public Func<object, string, Task<IEnumerable<string>>> ValidateValue => async (model, propertyName) =>
    {
        var result = await ValidateAsync(ValidationContext<GetAllUserWalletByFilterQuery>.CreateWithOptions((GetAllUserWalletByFilterQuery)model, x => x.IncludeProperties(propertyName)));
        if (result.IsValid)
            return Array.Empty<string>();
        return result.Errors.Select(e => e.ErrorMessage);
    };
}
